<?php
/**
 * Plugin plxartgalerie
 *
 * @package	PLX
 * @version	1.6
 * @date	31/12/2011
 * @author	Rockyhorror
 **/
class plxartgalerie extends plxPlugin {

	/**
	 * Constructeur de la classe plxartgalerie
	 *
	 * @param	default_lang	langue par dfaut utilise par PluXml
	 * @return	null
	 * @author	Rockyhorror
	 **/
	public function __construct($default_lang) {

		# Appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);

		# Autorisation d'acces  la configuration du plugins
		$this-> setConfigProfil(PROFIL_ADMIN, PROFIL_MANAGER);

		# Dclarations des hooks
		$this->addHook('ArtgalerieDisplay','ArtgalerieDisplay');
		$this->addHook('ThemeEndHead', 'ThemeEndHead');
		$this->addHook('AdminArticleSidebar', 'AdminArticleSidebar');
		$this->addHook('plxAdminEditArticleXml', 'plxAdminEditArticleXml');
		$this->addHook('plxMotorParseArticle', 'plxMotorParseArticle');
		$this->addHook('plxToolbarCustomsButtons', 'artGalerieButton');
	}


	/**
	 * Mthode qui ajoute le champs 'Galerie' dasn l'edition de l'article
	 *
	 * @return	stdio
	 * @author	Rockyhorror
	 **/
	public function AdminArticleSidebar(){
			echo "<?php \$galerie = trim(\$result['galerie']); ?>";

			echo '<p><label for="id_galerie">'.$this->getlang('L_PATH').'&nbsp;:</label>&nbsp;';
			echo '<a class="help" title="'.$this->getlang('L_ARTICLE_GALERIE_FIELD_TITLE').'">&nbsp;</a></p>';
			echo "<?php plxUtils::printInput('galerie',plxUtils::strCheck(\$galerie),'text','27-255'); ?>";
			
        }

	public function plxAdminEditArticleXml(){
		echo "<?php \$xml .= '\t'.'<galerie><![CDATA['.plxUtils::cdataCheck(trim(\$content['galerie'])).']]></galerie>'.'\n'; ?>";
	}

	public function plxMotorParseArticle(){
		echo "<?php    \$art['galerie'] = (isset(\$iTags['galerie']))?trim(\$values[ \$iTags['galerie'][0] ]['value']):''; ?>";
	}

	/**
	 * Mthode qui ajoute l'insertion du code javascript dans la partie <head> du site
	 *
	 * @return	stdio
	 * @author	Rockyhorror
	 **/	
	public function ThemeEndHead() {
		echo "\t".'<link rel="stylesheet" href="'.PLX_PLUGINS.'plxartgalerie/plxartgalerie.css" type="text/css" media="screen" />'."\n";
		echo "\t".'<link rel="stylesheet" href="'.PLX_PLUGINS.'plxartgalerie/css/slimbox2.css" type="text/css" media="screen" />'."\n";
		/* echo "\t".'<script type="text/javascript" src="'.PLX_PLUGINS.'plxartgalerie/js/jquery-1.7.min.js"></script>'."\n"; */
		echo "\t".'<script type="text/javascript" src="'.PLX_PLUGINS.'plxartgalerie/js/slimbox2.js"></script>'."\n";
	}

	public function listimages($root_dir) {
		
		$glob = plxGlob::getInstance($root_dir);
		$extensions = str_replace(',', '|', $this->getParam('extensions'));
		
		$query = '/[a-z0-9-_]+.tb.('.$extensions.')$/i';
		if ($files = $glob->query($query, '', 'sort')) {
			$randstr = mt_rand(1000, 9999);
			
			// ---------------------------------------------------------------------- Modifications ---------------------------------------------------------------------
			
			//definition variable
			define('NBMAX', 3);    //Nombre d'images par ligne (vous pouvez modifier ce nombre)
			$firstbox = true;
			$count = 1;
			
			foreach($files as $filename) {
				$file = $root_dir.'/'.$filename;
				$basename = str_replace('.tb', '', $filename);
				$alt = substr($basename, 0,strrpos($basename,'.'));


				if($firstbox === true){
					echo "\t".'<div class="box3 first-box">';
					$firstbox = false;
					$count++;
				}else{
					if($count === NBMAX){
						$firstbox = true;
						$count = 1;
					}else{
						$count++;
					}
					echo "\t".'<div class="box3">';
				}
				
				echo '<a href="'.str_replace('.tb', '', $file).'" rel="lightbox-'.$randstr.'" title="'.$alt.'"><img src="'.$file.'" alt="'.$alt.'" /></a>'."\n\t".'</div>'."\n"; 
								
			// ---------------------------------------------------------------------- Fin Modifications ---------------------------------------------------------------------
							
			}
		}
		
	}

	/**
	 * Mthode qui affiche la galerie dans un article ou une page statique
	 *
	 * @return	stdio
	 * @author	Rockyhorror
	 **/
	public function ArtgalerieDisplay() {
		global $static_path;
		$plxMotor = plxMotor::getInstance();
		$plxShow = plxShow::getInstance();
		
		if ($plxShow->mode() == 'article'){
			$galerie_path = $plxMotor->plxRecord_arts->f('galerie');
		}
		elseif($plxShow->mode() == 'static') {
			$galerie_path = (!empty($static_path))?$static_path :'';
		}
		
		if(empty($galerie_path)){
			echo '<?php return true; ?>';
		}
		
		
		$root_dir = $plxMotor->aConf['images'].$this->getParam('root_dir').'/'.$galerie_path;
		echo "<?php echo '<div class=\"box\">'.\"\\n\"; ?>";
		$this->listimages($root_dir);
		echo <<<END
			<?php echo '<div style="clear:both;"></div>
			</div>'; ?>
END;
		
	}

	public function artGalerieButton() { ?>
		<script type="text/javascript">
			<!--
			plxToolbar.addButton( {
				icon : '<?php echo PLX_PLUGINS ?>plxartgalerie/lightbox.png',
				title : 'artGalerie',
				onclick : function(textarea) { 
					plxToolbar.openPopup('<?php echo PLX_PLUGINS ?>plxartgalerie/medias.php?id='+textarea, 'Medias', '750', '580');
					return '';
					}
			});
			-->
		</script>
		<?php
	}

}
?>
